Subject: bug#10775: Feature request: avoid revert question in `find-file-noselect'

From: Eli Barzilay <[email-masked]>
Date: Thu, 9 Feb 2012 21:47:07 -0500

The code in `find-file-noselect' will ask about reverting a buffer, a
question that pops up in several contexts that lead to that function.
When the question pops up, the buffer is still not visible so it's
hard to make a decision (perhaps some process changed the file and I'd
like to switch to the buffer to save its contents first?).

It would be nice if there was some option that would make it just
display a warning about the change -- so I know that I can now revert
it in the usual way (as in touching the contents).  That would be much
more conveniet than answering "no".  (Personally, I just have a "don't
touch my file" reflex that translates into C-g, then switch to the
open buffer, then revert it.)

-- 
          ((lambda (x) (x x)) (lambda (x) (x x)))          Eli Barzilay:
                    http://barzilay.org/                   Maze is Life!